# Copyright 2018 Stack Overflow user "Kamal"
# Copyright 2024 Samuel Sloniker
#
# https://stackoverflow.com/a/53605128
#
# Used, modified, and released under CC BY-SA 4.0:
# https://creativecommons.org/licenses/by-sa/4.0/

import sys
import os.path


def fix_path(path):
    if getattr(sys, "frozen", False):
        return os.path.join(sys._MEIPASS, "files", path)
    else:
        return path
